---
title: CanvasRenderingContext2D.getLineDash()
slug: Web/API/CanvasRenderingContext2D/getLineDash
tags:
  - API
  - Canvas
  - CanvasRenderingContext2D
  - Method
  - Reference
---
<div>{{APIRef}}</div>

<p>The <strong><code>getLineDash()</code></strong> method of the Canvas 2D API's {{domxref("CanvasRenderingContext2D")}} interface gets the current line dash pattern.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>ctx</em>.getLineDash();</pre>

<h3 id="Return_value">Return value</h3>

<p>An {{jsxref("Array")}} of numbers that specify distances to alternately draw a line and a gap (in coordinate space units). If the number, when setting the elements, is odd, the elements of the array get copied and concatenated. For example, setting the line dash to <code>[5, 15, 25]</code> will result in getting back <code>[5, 15, 25, 5, 15, 25]</code>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Getting_the_current_line_dash_setting">Getting the current line dash setting</h3>

<p>This example demonstrates the <code>getLineDash()</code> method.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;canvas id="canvas"&gt;&lt;/canvas&gt;
</pre>

<h4 id="JavaScript">JavaScript</h4>

<p>As set by {{domxref("CanvasRenderingContext2D.setLineDash()", "setLineDash()")}}, strokes consist of lines that are 10 units wide, with spaces of 20 units in between each line.</p>

<pre class="brush: js; highlight:[5]">const canvas = document.getElementById('canvas');
const ctx = canvas.getContext('2d');

ctx.setLineDash([10, 20]);
console.log(ctx.getLineDash());  // [10, 20]

// Draw a dashed line
ctx.beginPath();
ctx.moveTo(0, 50);
ctx.lineTo(300, 50);
ctx.stroke();
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Getting_the_current_line_dash_setting', 700, 180) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "scripting.html#dom-context-2d-getlinedash", "CanvasRenderingContext2D.getLineDash")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CanvasRenderingContext2D.getLineDash")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface defining this method: {{domxref("CanvasRenderingContext2D")}}</li>
 <li>{{domxref("CanvasRenderingContext2D.setLineDash()")}}</li>
 <li>{{domxref("CanvasRenderingContext2D.lineDashOffset")}}</li>
</ul>
